[**@rxap/socket-io v19.0.3-dev.0**](../README.md)

***

[@rxap/socket-io](../globals.md) / withDynamicSocketIoUrl

# Function: withDynamicSocketIoUrl()

> **withDynamicSocketIoUrl**(`key`): `Provider`

Defined in: [provide.ts:63](https://gitlab.com/rxap/packages/-/blob/eb8968c9726c4f3b80ca9361d0e0c70bd1f34695/packages/angular/socket-io/src/lib/provide.ts#L63)

## Parameters

### key

`string` = `'socket.url'`

## Returns

`Provider`
